## nom.tam.fits
Class TableHDU

    java.lang.Object
      nom.tam.fits.BasicHDU
          nom.tam.fits.ExtensionHDU
              nom.tam.fits.TableHDU

Direct Known Subclasses:
  AsciiTableHDU, BinaryTableHDU

public abstract class TableHDU
extends ExtensionHDU

Generic FITS table methods

Field Summary
`(package private) Vector` `columnStrings` An array containing the base keys that a user may anticipate being associated with a given column.

Fields inherited from class nom.tam.fits.BasicHDU
`BITPIX_BYTE, BITPIX_DOUBLE, BITPIX_FLOAT, BITPIX_INT, BITPIX_LONG, BITPIX_SHORT, myData, myHeader`

Constructor Summary
`TableHDU(Header header)` Build a table from the specified FITS header.

Method Summary
`void` `addColumnString(String keyBase)` Add a base keyword to the keys to be looked for in describing a column.
`(package private) void` `setLastMark(int lastMark, int colNumber)` Ensure that keywords for the current column are placed after the keywords for the last column.

Methods inherited from class nom.tam.fits.ExtensionHDU
`getExtensionLevel, getExtensionName, getExtensionType, getExtensionVersion`

Methods inherited from class nom.tam.fits.BasicHDU

`checkField, getAuthor, getAxes, getBitPix, getBlankValue, getBScale, getBUnit, getBZero, getCreationDate, getData, getEpoch, getEquinox, getGroupCount, getHeader, getInstrument, getMaximumValue, getMinimumValue, getObject, getObservationDate, getObserver, getOrigin, getParameterCount, getReference, getSize, getTelescope, getTrimmedString, info, isHeader, manufactureData, readData, skipData, skipData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnStrings

    Vector columnStrings

  An array containing the base keys that a user may anticipate being associated with a given column. This array is used to find and extract keys that belong to a given column.

Constructor Detail

### TableHDU

    public TableHDU(Header header)
             throws FitsException

  Build a table from the specified FITS header.

Parameters:
  `header` - to use as a template.
Throws:
  `FitsException` - if the header was not valid.

Method Detail

### addColumnString

    public void addColumnString(String keyBase)

  Add a base keyword to the keys to be looked for in describing a column. E.g., if a user wishes to make sure the TLMINn keywords are associated with columns he/she might call addColumnString("TLMIN"); This does not mean that the software will generate these columns, only that they will be seen as associated with the appropriate table data.

### setLastMark

    void setLastMark(int lastMark,
                     int colNumber)

  Ensure that keywords for the current column are placed after the keywords for the last column.